function out = readBBresult(filename)

data = importdata(filename);
data = data.data;
out = struct('time',data(:,1),...
    'Y',data(:,2),...
    'Z',data(:,4),...
    'Q',data(:,9),...
    'breach_level',data(:,3),...
    'breach_width',data(:,5),...
    'water_depth',data(:,6),...
    'flow_velocity',data(:,8),...
    'flow_area',data(:,7),...
    'wetted_perimeter',data(:,10),...
    'hydraulic_radius',data(:,11),...
    'erodible_perimeter',data(:,12),...
    'transport_rate',data(:,15),...
    'sediment_discharge',data(:,14),...
    'breach_volume_change_rate',data(:,16),...
    'reservoir_surface',data(:,12),...
    'non_steady',data(:,17));